[arch-commits] Commit in cdtool/repos (3 files)
Giovanni Scafora
giovanni at archlinux.org
Tue Nov 3 19:40:42 UTC 2009
Date: Tuesday, November 3, 2009 @ 14:40:41
Author: giovanni
Revision: 58125
Merged revisions 58118,58120 via svnmerge from
svn+ssh://gerolde.archlinux.org/srv/svn-packages/cdtool/trunk
........
r58118 | andrea | 2009-11-03 11:18:06 -0800 (mar, 03 nov 2009) | 2 lines
upgpkg: cdtool 2.1.8-3
FS#16146
........
r58120 | andrea | 2009-11-03 11:23:55 -0800 (mar, 03 nov 2009) | 1 line
:P
........
Added:
cdtool/repos/extra-x86_64/glibc-2.10.patch
(from rev 58120, cdtool/trunk/glibc-2.10.patch)
Modified:
cdtool/repos/extra-x86_64/ (properties)
cdtool/repos/extra-x86_64/PKGBUILD
------------------+
PKGBUILD | 17 +++++---
glibc-2.10.patch | 109 +++++++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 120 insertions(+), 6 deletions(-)
Property changes on: cdtool/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /cdtool/trunk:1-30631
+ /cdtool/trunk:1-58124
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2009-11-03 19:35:06 UTC (rev 58124)
+++ extra-x86_64/PKGBUILD 2009-11-03 19:40:41 UTC (rev 58125)
@@ -1,22 +1,27 @@
# $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
-# Contributer: dorphell <dorphell at archlinux.org>
+# Contributor: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: dorphell <dorphell at archlinux.org>
# Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
pkgname=cdtool
pkgver=2.1.8
-pkgrel=2
+pkgrel=3
pkgdesc="A package of command-line utilities to play and catalog audio CD-ROMs."
arch=('i686' 'x86_64')
+url="http://hinterhof.net/cdtool/"
license=('GPL2')
depends=('bash')
-source=(http://www.sfr-fresh.com/linux/misc//${pkgname}-${pkgver}.tar.gz)
-url="http://hinterhof.net/cdtool/"
+source=(http://www.sfr-fresh.com/linux/misc/${pkgname}-${pkgver}.tar.gz
+ 'glibc-2.10.patch')
+md5sums=('7b19b6f68d2c648296378b784d5f7681'
+ '98b36f941007949cdcddbebd22c59977')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
+
+ patch -Np1 -i ${srcdir}/glibc-2.10.patch || return 1
+
./configure --prefix=/usr --mandir=/usr/share/man || return 1
make || return 1 || return 1
make DESTDIR=${pkgdir} install || return 1
}
-md5sums=('7b19b6f68d2c648296378b784d5f7681')
Copied: cdtool/repos/extra-x86_64/glibc-2.10.patch (from rev 58120, cdtool/trunk/glibc-2.10.patch)
===================================================================
--- extra-x86_64/glibc-2.10.patch (rev 0)
+++ extra-x86_64/glibc-2.10.patch 2009-11-03 19:40:41 UTC (rev 58125)
@@ -0,0 +1,109 @@
+diff -ur cdtool-2.1.8.orig/cdown.c cdtool-2.1.8/cdown.c
+--- cdtool-2.1.8.orig/cdown.c 2005-10-17 22:11:59.000000000 +0300
++++ cdtool-2.1.8/cdown.c 2009-06-19 20:15:57.000000000 +0300
+@@ -325,7 +325,7 @@
+ }
+
+ /************************************************************************/
+-/* Procedure: getline
++/* Procedure: get_line
+ * Purpose: read a line of text from the CDDB server
+ *
+ * Inputs:
+@@ -333,14 +333,14 @@
+ * Returns: The line of text
+ * Notes:
+ * 1. The CDDB databases use \r\n to end lines. All lines returned
+- * by getline() have the \r and \n stripped.
++ * by get_line() have the \r and \n stripped.
+ * 2. Non-reentrant: the memory buffer returned previously is
+ * recycled
+ * 3. Do NOT modify the contents of the returned buffer past the
+ * NULL - data from the network is stored there
+ */
+ /************************************************************************/
+-char *getline(void) {
++char *get_line(void) {
+ static char *buffer = NULL;
+ static char *lastline = NULL;
+ static int buffered = 0;
+@@ -451,7 +451,7 @@
+ char *cdtitle;
+
+ netprintf(sock, "cddb read %s %s\n", categ, discid);
+- message = getline();
++ message = get_line();
+ switch (atoi(message)) {
+ case 401: fprintf(stderr, "error: entry not found\n"); return;
+ case 402: fprintf(stderr, "error: server error\n"); return;
+@@ -461,13 +461,13 @@
+ default: fprintf(stderr, "error: bad message: %s\n", message); return;
+ }
+ while (iRawMode) { /* infinite loop, or skip if !iRawMode */
+- message = getline();
++ message = get_line();
+ if (!strcmp (message, "."))
+ return;
+ printf ("%s\r\n", message);
+ }
+ do {
+- message = getline();
++ message = get_line();
+ firstword = strchr(message, '=');
+ if (firstword != NULL) {
+ *firstword = '\0';
+@@ -511,7 +511,7 @@
+ int input = 0;
+ int exact = 1;
+
+- message = getline();
++ message = get_line();
+ switch (atoi(message)) {
+ case 403: fprintf(stderr, "error: database entry is corrupt\n"); return;
+ case 409: fprintf(stderr, "error: no handshake\n"); return;
+@@ -523,7 +523,7 @@
+ if (!exact) {
+ fprintf(stderr, "CD has no exact match\n 0: None\n");
+ do {
+- message = getline();
++ message = get_line();
+ if (strcmp(message, ".") != 0) {
+ matches = realloc(matches, sizeof(char*) * (++count));
+ fprintf(stderr, " %d: ", count); printcd(message);
+@@ -628,15 +628,15 @@
+ void parsesites(void) {
+ char *buffer;
+
+- buffer = getline();
++ buffer = get_line();
+ switch (atoi(buffer)) {
+ case 210: break; /* OK */
+ case 401: fprintf(stderr, "error: no site list available\n"); return;
+ }
+- buffer = getline();
++ buffer = get_line();
+ do {
+ printf("%s\n", buffer);
+- } while (strcmp(buffer = getline(), ".") != 0);
++ } while (strcmp(buffer = get_line(), ".") != 0);
+ }
+
+ /************************************************************************/
+@@ -755,7 +755,7 @@
+ exit(3);
+ }
+
+- bleh = getline();
++ bleh = get_line();
+ if (!signon(bleh)) {
+ errormsg("%s: signon error on host %s", progname, pszHost);
+ close(sock);
+@@ -773,7 +773,7 @@
+ getuname(), gethname(), progname, VERSIONSTRING);
+
+ /* get welcome message */
+- bleh = getline();
++ bleh = get_line();
+ if (!welcome(bleh)) {
+ errormsg("%s: bad welcome message [%s]", progname, bleh);
+ close(sock);
More information about the arch-commits
mailing list